Bug 1135511 (kmenuedit) - Review Request: kmenuedit - KDE menu editor
Summary: Review Request: kmenuedit - KDE menu editor
Keywords:
Status: CLOSED RAWHIDE
Alias: kmenuedit
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2014-08-29 13:44 UTC by Daniel Vrátil
Modified: 2015-11-02 01:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-29 14:58:49 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Vrátil 2014-08-29 13:44:43 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kmenuedit.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kmenuedit-5.0.1-1.fc20.src.rpm
Description: KDE menu editor.
Fedora Account System Username: dvratil

Comment 1 Rex Dieter 2014-12-31 22:10:48 UTC
scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8508331

naming: ok

sources: ok
7941bb5b43b6abc883d98c384f6f062a  kmenuedit-5.0.1.tar.xz

macros: ok (mostly)

1.  SHOULD use
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
in preference over
%make_install -C %{_target_platform}


scriptlets: ok

2.  MUST add
BuildRequires: desktop-file-utils
and
%check
desktop-file-validate %{buildroot}%{_datadir}/applications/kmenuedit.desktop

Comment 2 Rex Dieter 2014-12-31 22:13:23 UTC
scratch build failed, 

/usr/include/qt5/QtCore/qshareddata.h: In instantiation of 'QExplicitlySharedDataPointer<T>::QExplicitlySharedDataPointer(const QExplicitlySharedDataPointer<X>&) [with X = KSycocaEntry; T = KServiceGroup]':
../treeview.cpp:376:67:   required from here
/usr/include/qt5/QtCore/qshareddata.h:166:21: error: invalid conversion from 'KSycocaEntry*' to 'KServiceGroup*' [-fpermissive]
         : d(o.data())
                     ^
/usr/include/qt5/QtCore/qshareddata.h: In instantiation of 'QExplicitlySharedDataPointer<T>::QExplicitlySharedDataPointer(const QExplicitlySharedDataPointer<X>&) [with X = KSycocaEntry; T = KService]':
../treeview.cpp:381:62:   required from here
/usr/include/qt5/QtCore/qshareddata.h:166:21: error: invalid conversion from 'KSycocaEntry*' to 'KService*' [-fpermissive]

I suspect we probably just need an update (newer version) to work with latest kf5.

Comment 4 Daniel Vrátil 2015-01-16 10:48:04 UTC
Ping?

Comment 5 Rex Dieter 2015-01-16 13:51:37 UTC
boo, hadn't noticed this before, but

%{_datadir}/icons/hicolor/*/apps/kmenuedit.png

3. MUST add icon scriptlets

Comment 7 Rex Dieter 2015-01-20 13:07:54 UTC
Thanks, looks good.

APPROVED

Comment 8 Daniel Vrátil 2015-01-21 13:03:29 UTC
New Package SCM Request
=======================
Package Name: kmenuedit
Short Description: KDE menu editor
Upstream URL: https://projects.kde.org/projects/kde/workspace/kmenuedit
Owners: group::kde-sig
Branches:
InitialCC:

Comment 9 Gwyn Ciesla 2015-01-21 15:22:05 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.